<html>
<head>
<title>Ogre::ScriptCompiler::AbstractTreeBuilder Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ScriptCompiler.html">ScriptCompiler</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html">AbstractTreeBuilder</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ScriptCompiler::AbstractTreeBuilder Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ScriptCompiler::AbstractTreeBuilder" -->
<p><a href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#a9bb080d4d050afb60b2d6e0a7958bbf3">AbstractTreeBuilder</a> (<a class="el" href="classOgre_1_1ScriptCompiler.html">ScriptCompiler</a> *compiler)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="group__General.html#gad207f4cd0b8599200e52d366fe61f069">AbstractNodeListPtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#a54f2465047541962681348b288969553">getResult</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#a21a0534197309f734fef3c4a606b93b5">visit</a> (<a class="el" href="structOgre_1_1ConcreteNode.html">ConcreteNode</a> *node)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#a63beca00f0a6ad509d293ee772197151">visit</a> (<a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html">AbstractTreeBuilder</a> *visitor, const <a class="el" href="group__General.html#gab5c85536eb8d5fcfd30b2d4ea2c643d5">ConcreteNodeList</a> &amp;nodes)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__General.html#gad207f4cd0b8599200e52d366fe61f069">AbstractNodeListPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#a72c7c485af40b944e09c67a5f98720ed">mNodes</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1AbstractNode.html">AbstractNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#ad03227e67b934de8a541347a4df3ebf2">mCurrent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ScriptCompiler.html">ScriptCompiler</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#acb54047023e7ff3e9bf136013759648d">mCompiler</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00297">297</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9bb080d4d050afb60b2d6e0a7958bbf3"></a><!-- doxytag: member="Ogre::ScriptCompiler::AbstractTreeBuilder::AbstractTreeBuilder" ref="a9bb080d4d050afb60b2d6e0a7958bbf3" args="(ScriptCompiler *compiler)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#a9bb080d4d050afb60b2d6e0a7958bbf3">Ogre::ScriptCompiler::AbstractTreeBuilder::AbstractTreeBuilder</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ScriptCompiler.html">ScriptCompiler</a> *&#160;</td>
          <td class="paramname"><em>compiler</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a54f2465047541962681348b288969553"></a><!-- doxytag: member="Ogre::ScriptCompiler::AbstractTreeBuilder::getResult" ref="a54f2465047541962681348b288969553" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="group__General.html#gad207f4cd0b8599200e52d366fe61f069">AbstractNodeListPtr</a>&amp; <a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#a54f2465047541962681348b288969553">Ogre::ScriptCompiler::AbstractTreeBuilder::getResult</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a21a0534197309f734fef3c4a606b93b5"></a><!-- doxytag: member="Ogre::ScriptCompiler::AbstractTreeBuilder::visit" ref="a21a0534197309f734fef3c4a606b93b5" args="(ConcreteNode *node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#a21a0534197309f734fef3c4a606b93b5">Ogre::ScriptCompiler::AbstractTreeBuilder::visit</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1ConcreteNode.html">ConcreteNode</a> *&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a63beca00f0a6ad509d293ee772197151"></a><!-- doxytag: member="Ogre::ScriptCompiler::AbstractTreeBuilder::visit" ref="a63beca00f0a6ad509d293ee772197151" args="(AbstractTreeBuilder *visitor, const ConcreteNodeList &amp;nodes)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#a21a0534197309f734fef3c4a606b93b5">Ogre::ScriptCompiler::AbstractTreeBuilder::visit</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html">AbstractTreeBuilder</a> *&#160;</td>
          <td class="paramname"><em>visitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="group__General.html#gab5c85536eb8d5fcfd30b2d4ea2c643d5">ConcreteNodeList</a> &amp;&#160;</td>
          <td class="paramname"><em>nodes</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="acb54047023e7ff3e9bf136013759648d"></a><!-- doxytag: member="Ogre::ScriptCompiler::AbstractTreeBuilder::mCompiler" ref="acb54047023e7ff3e9bf136013759648d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ScriptCompiler.html">ScriptCompiler</a>* <a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#acb54047023e7ff3e9bf136013759648d">Ogre::ScriptCompiler::AbstractTreeBuilder::mCompiler</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00302">302</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="ad03227e67b934de8a541347a4df3ebf2"></a><!-- doxytag: member="Ogre::ScriptCompiler::AbstractTreeBuilder::mCurrent" ref="ad03227e67b934de8a541347a4df3ebf2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AbstractNode.html">AbstractNode</a>* <a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#ad03227e67b934de8a541347a4df3ebf2">Ogre::ScriptCompiler::AbstractTreeBuilder::mCurrent</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00301">301</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a72c7c485af40b944e09c67a5f98720ed"></a><!-- doxytag: member="Ogre::ScriptCompiler::AbstractTreeBuilder::mNodes" ref="a72c7c485af40b944e09c67a5f98720ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__General.html#gad207f4cd0b8599200e52d366fe61f069">AbstractNodeListPtr</a> <a class="el" href="classOgre_1_1ScriptCompiler_1_1AbstractTreeBuilder.html#a72c7c485af40b944e09c67a5f98720ed">Ogre::ScriptCompiler::AbstractTreeBuilder::mNodes</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptCompiler_8h_source.html#l00300">300</a> of file <a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreScriptCompiler_8h_source.html">OgreScriptCompiler.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
